vtable Struct Reference

## Data Fields

ID * | tbl
int | pos
int | capa
struct vtable * | prev

## Detailed Description

Definition at line 151 of file ripper.c.

## Field Documentation

int vtable::capa

Definition at line 154 of file ripper.c.

Referenced by parser_memsize(), vtable_add(), and vtable_alloc().

int vtable::pos

Definition at line 153 of file ripper.c.

Referenced by vtable_add(), vtable_alloc(), vtable_included(), vtable_size(), and warn_unused_var().

struct vtable * vtable::prev

Definition at line 155 of file ripper.c.

Referenced by dvar_defined_gen(), local_id_gen(), and vtable_alloc().

ID * vtable::tbl

Definition at line 152 of file ripper.c.

Referenced by dvar_defined_gen(), local_id_gen(), vtable_add(), vtable_alloc(), vtable_free(), vtable_included(), vtable_tblcpy(), and warn_unused_var().

The documentation for this struct was generated from the following files:

- ext/ripper/ripper.c
- ext/ripper/ripper.y
- parse.c
- parse.y